package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.entity.RwdeditVersion;
import com.persagy.dmp.rwd.edit.service.RwdeditVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/rwdedit/version")
public class RwdeditVersionController {

    @Autowired
    private RwdeditVersionService service;

    @PostMapping("/query")
    public PagedResponse<RwdeditVersion> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody RwdeditVersion param) {
        return service.create(param);
    }

    @PostMapping("/infoAddVersion")
    public MapResponse infoAddVersion(@RequestBody List<Integer> infoIdList, @RequestParam String version) {
        return service.infoAddVersion(infoIdList, version);
    }

}
