package com.persagy.dmp.rwd.edit.entity;

import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.util.Date;
import java.util.List;

@Setter
@Getter
@Entity
@Table(name = "admin_role")
public class AdminRole {

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Integer id;
	private String name;
	private String remark;
	private Integer status;
	@Column(updatable = false)
	private Integer createUser;
	@CreationTimestamp
	@Column(updatable = false)
	private Date createTime;
	private Integer updateUser;
	@UpdateTimestamp
	private Date updateTime;

	@JoinTable(name = "admin_role_permission", joinColumns = {
			@JoinColumn(name = "role_id", referencedColumnName = "id")},
			inverseJoinColumns = {
					@JoinColumn(name = "permission_id", referencedColumnName = "id")
			})
	@ManyToMany(targetEntity = AdminPermission.class, fetch = FetchType.LAZY)
	@OrderBy("id")
	private List<AdminPermission> permissions;
}
